Cyberduck Mountain Duck CLI

#9132 closed defect (fixed)

Nullpointer in BrowserController.ReloadData

Reported by: fkuete Owned by: yla
Priority: normal Milestone: 4.8
Component: core Version: 4.7.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Hello, I am unable to upload files to Rackspace Cloud. I have been on the phone with Rackspace support for an hour and after verification they told me the problem can only be coming from Cyberduck. Could you please take a look and fix this issue for me please? Here is a report I pulled from my computer:

2015-11-11 15:03:50,468 [Thread-0] ERROR ch.cyberduck.core.ssl.CustomTrustSSLProtocolSocketFactory - Failure NativePRNG 

SecureRandom not available obtaining secure random NativePRNG
2015-11-13 12:00:07,695 [Thread-0] ERROR ch.cyberduck.core.ssl.CustomTrustSSLProtocolSocketFactory - Failure NativePRNG 

SecureRandom not available obtaining secure random NativePRNG
2015-11-13 13:19:08,316 [Thread-0] ERROR ch.cyberduck.core.ssl.CustomTrustSSLProtocolSocketFactory - Failure NativePRNG 

SecureRandom not available obtaining secure random NativePRNG
2015-11-13 13:19:12,362 [Thread-0] ERROR ch.cyberduck.core.AbstractController - Exception running cleanup task null
java.lang.NullPointerException
	at cli.Ch.Cyberduck.Ui.Controller.BrowserController.ReloadData(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.TreeBrowserModel$ListAction$InnerListWorker.cleanup(Unknown Source)
	at ch.cyberduck.core.threading.WorkerBackgroundAction.cleanup(WorkerBackgroundAction.java:139)
	at ch.cyberduck.core.AbstractController$BackgroundCallable$1.run(AbstractController.java:207)
	at cli.System.Delegate.DynamicInvokeImpl(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallbackDo(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallbackHelper(Unknown Source)
	at cli.System.Threading.ExecutionContext.RunInternal(Unknown Source)
	at cli.System.Threading.ExecutionContext.Run(Unknown Source)
	at cli.System.Threading.ExecutionContext.Run(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallback(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallbacks(Unknown Source)
	at cli.System.Windows.Forms.Control.WndProc(Unknown Source)
	at cli.System.Windows.Forms.ScrollableControl.WndProc(Unknown Source)
	at cli.System.Windows.Forms.Form.WndProc(Unknown Source)
	at cli.System.Windows.Forms.Control$ControlNativeWindow.OnMessage(Unknown Source)
	at cli.System.Windows.Forms.Control$ControlNativeWindow.WndProc(Unknown Source)
	at cli.System.Windows.Forms.NativeWindow.Callback(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Winforms.Taskdialog.VistaUnsafeNativeMethods.TaskDialogIndirect(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Winforms.Taskdialog.VistaTaskDialog.PrivateShow(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Winforms.Taskdialog.VistaTaskDialog.Show(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Winforms.Taskdialog.TaskDialog.ShowTaskDialogBox(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Winforms.Taskdialog.TaskDialog.ShowTaskDialogBox(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Winforms.Taskdialog.TaskDialog.ShowCommandBox(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Core.CrashReporter.Write(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.MainController.ExceptionHandler(Unknown Source)
	at cli.System.Windows.Forms.Application$ThreadContext.OnThreadException(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallbacks(Unknown Source)
	at cli.System.Windows.Forms.Control.WndProc(Unknown Source)
	at cli.System.Windows.Forms.Control$ControlNativeWindow.OnMessage(Unknown Source)
	at cli.System.Windows.Forms.Control$ControlNativeWindow.WndProc(Unknown Source)
	at cli.System.Windows.Forms.NativeWindow.Callback(Unknown Source)
	at cli.System.Windows.Forms.UnsafeNativeMethods.DispatchMessageW(Unknown Source)
	at cli.System.Windows.Forms.Application

$ComponentManager.System.Windows.Forms.UnsafeNativeMethods.IMsoComponentManager.FPushMessageLoop(Unknown Source)
	at cli.System.Windows.Forms.Application$ThreadContext.RunMessageLoopInner(Unknown Source)
	at cli.System.Windows.Forms.Application$ThreadContext.RunMessageLoop(Unknown Source)
	at cli.System.Windows.Forms.Application.Run(Unknown Source)
	at cli.Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.OnRun(Unknown Source)
	at cli.Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.DoApplicationModel(Unknown Source)
	at cli.Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.Run(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.MainController.Run(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.MainController.Run(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.MainController.Main(Unknown Source)
2015-11-18 10:44:30,615 [Thread-0] ERROR ch.cyberduck.core.ssl.CustomTrustSSLProtocolSocketFactory - Failure NativePRNG 

SecureRandom not available obtaining secure random NativePRNG
2015-11-20 10:25:07,479 [Thread-0] ERROR ch.cyberduck.core.ssl.CustomTrustSSLProtocolSocketFactory - Failure NativePRNG 

SecureRandom not available obtaining secure random NativePRNG
2015-11-20 10:47:16,852 [background-1] ERROR AsyncController - Unhandled exception during invoke
ch.cyberduck.core.exception.LoginCanceledException{detail='null', cause='null', message='null'}
	at cli.Ch.Cyberduck.Ui.Controller.PromptLoginController$$$003C$$003Ec__DisplayClass12_0.<prompt>b__0(Unknown 

Source)
	at cli.Ch.Cyberduck.Ui.Controller.Threading.SimpleDefaultMainAction.run(Unknown Source)
	at cli.System.Delegate.DynamicInvokeImpl(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallbackDo(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallbackHelper(Unknown Source)
	at cli.System.Threading.ExecutionContext.RunInternal(Unknown Source)
	at cli.System.Threading.ExecutionContext.Run(Unknown Source)
	at cli.System.Threading.ExecutionContext.Run(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallback(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallbacks(Unknown Source)
	at cli.System.Windows.Forms.Control.WndProc(Unknown Source)
	at cli.System.Windows.Forms.ScrollableControl.WndProc(Unknown Source)
	at cli.System.Windows.Forms.Form.WndProc(Unknown Source)
	at cli.System.Windows.Forms.Control$ControlNativeWindow.OnMessage(Unknown Source)
	at cli.System.Windows.Forms.Control$ControlNativeWindow.WndProc(Unknown Source)
	at cli.System.Windows.Forms.NativeWindow.Callback(Unknown Source)
	at cli.System.Windows.Forms.UnsafeNativeMethods.DispatchMessageW(Unknown Source)
	at cli.System.Windows.Forms.Application

$ComponentManager.System.Windows.Forms.UnsafeNativeMethods.IMsoComponentManager.FPushMessageLoop(Unknown Source)
	at cli.System.Windows.Forms.Application$ThreadContext.RunMessageLoopInner(Unknown Source)
	at cli.System.Windows.Forms.Application$ThreadContext.RunMessageLoop(Unknown Source)
	at cli.System.Windows.Forms.Application.Run(Unknown Source)
	at cli.Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.OnRun(Unknown Source)
	at cli.Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.DoApplicationModel(Unknown Source)
	at cli.Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.Run(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.MainController.Run(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.MainController.Run(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.MainController.Main(Unknown Source)
2015-11-20 11:55:32,764 [Thread-0] ERROR ch.cyberduck.core.ssl.CustomTrustSSLProtocolSocketFactory - Failure NativePRNG 

SecureRandom not available obtaining secure random NativePRNG
2015-11-20 11:55:54,445 [Thread-0] ERROR ch.cyberduck.core.ssl.CustomTrustSSLProtocolSocketFactory - Failure NativePRNG 

SecureRandom not available obtaining secure random NativePRNG
2015-11-20 11:55:54,523 [accounts-1] ERROR ch.cyberduck.core.threading.LoggingUncaughtExceptionHandler - Thread accounts-1 

has thrown uncaught exception:Connection pool shut down
java.lang.IllegalStateException: Connection pool shut down
	at org.apache.http.util.Asserts.check(Asserts.java:34)
	at org.apache.http.pool.AbstractConnPool.lease(AbstractConnPool.java:184)
	at org.apache.http.impl.conn.PoolingHttpClientConnectionManager.requestConnection

(PoolingHttpClientConnectionManager.java:251)
	at org.apache.http.impl.execchain.MainClientExec.execute(MainClientExec.java:175)
	at org.apache.http.impl.execchain.ProtocolExec.execute(ProtocolExec.java:184)
	at org.apache.http.impl.execchain.RetryExec.execute(RetryExec.java:88)
	at org.apache.http.impl.execchain.RedirectExec.execute(RedirectExec.java:110)
	at org.apache.http.impl.client.InternalHttpClient.doExecute(InternalHttpClient.java:184)
	at org.apache.http.impl.client.CloseableHttpClient.execute(CloseableHttpClient.java:71)
	at org.apache.http.impl.client.CloseableHttpClient.execute(CloseableHttpClient.java:220)
	at org.apache.http.impl.client.CloseableHttpClient.execute(CloseableHttpClient.java:164)
	at org.apache.http.impl.client.CloseableHttpClient.execute(CloseableHttpClient.java:139)
	at ch.iterate.openstack.swift.Client.execute(Client.java:359)
	at ch.iterate.openstack.swift.Client.getAccountInfo(Client.java:584)
	at ch.cyberduck.core.openstack.SwiftSession$1.run(SwiftSession.java:162)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:618)
	at ch.cyberduck.core.threading.NamedThreadFactory$1.run(NamedThreadFactory.java:58)
	at java.lang.Thread.run(Thread.java:955)
2015-11-24 11:00:43,420 [Thread-0] ERROR ch.cyberduck.core.ssl.CustomTrustSSLProtocolSocketFactory - Failure NativePRNG 

SecureRandom not available obtaining secure random NativePRNG
2015-11-24 11:25:35,856 [Thread-29] ERROR ch.cyberduck.core.AbstractController - Error scheduling background task 

cli.Ch.Cyberduck.Ui.Controller.ConnectionController$ReachabilityAction@182a71d for execution. Task 

java.util.concurrent.FutureTask@2c5e87b rejected from java.util.concurrent.ThreadPoolExecutor@18b935d[Terminated, pool 

size = 0, active threads = 0, queued tasks = 0, completed tasks = 1]
2015-11-24 11:27:13,566 [Thread-0] ERROR ch.cyberduck.core.ssl.CustomTrustSSLProtocolSocketFactory - Failure NativePRNG 

SecureRandom not available obtaining secure random NativePRNG
2015-11-24 11:27:14,926 [Thread-0] ERROR ch.cyberduck.core.AbstractController - Exception running cleanup task null
java.lang.NullPointerException
	at cli.Ch.Cyberduck.Ui.Controller.BrowserController.ReloadData(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.TreeBrowserModel$ListAction$InnerListWorker.cleanup(Unknown Source)
	at ch.cyberduck.core.threading.WorkerBackgroundAction.cleanup(WorkerBackgroundAction.java:139)
	at ch.cyberduck.core.AbstractController$BackgroundCallable$1.run(AbstractController.java:207)
	at cli.System.Delegate.DynamicInvokeImpl(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallbackDo(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallbackHelper(Unknown Source)
	at cli.System.Threading.ExecutionContext.RunInternal(Unknown Source)
	at cli.System.Threading.ExecutionContext.Run(Unknown Source)
	at cli.System.Threading.ExecutionContext.Run(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallback(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallbacks(Unknown Source)
	at cli.System.Windows.Forms.Control.WndProc(Unknown Source)
	at cli.System.Windows.Forms.ScrollableControl.WndProc(Unknown Source)
	at cli.System.Windows.Forms.Form.WndProc(Unknown Source)
	at cli.System.Windows.Forms.Control$ControlNativeWindow.OnMessage(Unknown Source)
	at cli.System.Windows.Forms.Control$ControlNativeWindow.WndProc(Unknown Source)
	at cli.System.Windows.Forms.NativeWindow.Callback(Unknown Source)
	at cli.System.Windows.Forms.UnsafeNativeMethods.DispatchMessageW(Unknown Source)
	at cli.System.Windows.Forms.Application

$ComponentManager.System.Windows.Forms.UnsafeNativeMethods.IMsoComponentManager.FPushMessageLoop(Unknown Source)
	at cli.System.Windows.Forms.Application$ThreadContext.RunMessageLoopInner(Unknown Source)
	at cli.System.Windows.Forms.Application$ThreadContext.RunMessageLoop(Unknown Source)
	at cli.System.Windows.Forms.Application.Run(Unknown Source)
	at cli.Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.OnRun(Unknown Source)
	at cli.Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.DoApplicationModel(Unknown Source)
	at cli.Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.Run(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.MainController.Run(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.MainController.Run(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.MainController.Main(Unknown Source)

My username is: fkuete and My email: fkuete@… Please help Regards

Fernand

Attachments (1)

cyberduck_repport.txt (12.2 KB) - added by fkuete on Nov 24, 2015 at 5:02:47 PM.

Download all attachments as: .zip

Change History (5)

Changed on Nov 24, 2015 at 5:02:47 PM by fkuete

comment:1 Changed on Nov 24, 2015 at 5:04:56 PM by dkocher

  • Description modified (diff)

comment:2 Changed on Nov 27, 2015 at 11:30:54 AM by dkocher

  • Milestone set to 4.8
  • Owner set to yla
  • Summary changed from Issue Uploading Files to Rackspace Cloud to Nullpointer in BrowserController.ReloadData

comment:3 Changed on Feb 3, 2016 at 12:13:17 PM by dkocher

2015-11-20 08:06:39,712 [Thread-0] ERROR ch.cyberduck.core.AbstractController - Exception running cleanup task null
java.lang.NullPointerException
	at cli.Ch.Cyberduck.Ui.Controller.BrowserController.ReloadData(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.TreeBrowserModel$ListAction$InnerListWorker.cleanup(Unknown Source)
	at ch.cyberduck.core.threading.WorkerBackgroundAction.cleanup(WorkerBackgroundAction.java:139)
	at ch.cyberduck.core.AbstractController$BackgroundCallable$1.run(AbstractController.java:207)
	at cli.System.Delegate.DynamicInvokeImpl(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallbackDo(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallbackHelper(Unknown Source)
	at cli.System.Threading.ExecutionContext.RunInternal(Unknown Source)
	at cli.System.Threading.ExecutionContext.Run(Unknown Source)
	at cli.System.Threading.ExecutionContext.Run(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallback(Unknown Source)
	at cli.System.Windows.Forms.Control.InvokeMarshaledCallbacks(Unknown Source)
	at cli.System.Windows.Forms.Control.WndProc(Unknown Source)
	at cli.System.Windows.Forms.ScrollableControl.WndProc(Unknown Source)
	at cli.System.Windows.Forms.Form.WndProc(Unknown Source)
	at cli.System.Windows.Forms.Control$ControlNativeWindow.OnMessage(Unknown Source)
	at cli.System.Windows.Forms.Control$ControlNativeWindow.WndProc(Unknown Source)
	at cli.System.Windows.Forms.NativeWindow.Callback(Unknown Source)
	at cli.System.Windows.Forms.UnsafeNativeMethods.DispatchMessageW(Unknown Source)
	at cli.System.Windows.Forms.Application$ComponentManager.System.Windows.Forms.UnsafeNativeMethods.IMsoComponentManager.FPushMessageLoop(Unknown Source)
	at cli.System.Windows.Forms.Application$ThreadContext.RunMessageLoopInner(Unknown Source)
	at cli.System.Windows.Forms.Application$ThreadContext.RunMessageLoop(Unknown Source)
	at cli.System.Windows.Forms.Application.Run(Unknown Source)
	at cli.Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.OnRun(Unknown Source)
	at cli.Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.DoApplicationModel(Unknown Source)
	at cli.Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.Run(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.MainController.Run(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.MainController.Run(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.MainController.Main(Unknown Source)

comment:4 Changed on Feb 11, 2016 at 5:20:39 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.
swiss made software